class Version:
    def __init__(
        self,
        bible_id,
        abbreviation,
        language,
        abbreviation_local,
        language_local,
        description,
        description_local,
        version_copyright,
    ):
        self.bible_id = bible_id
        self.abbreviation = abbreviation
        self.language = language
        self.abbreviation_local = abbreviation_local
        self.language_local = language_local
        self.description = description
        self.description_local = description_local
        self.copyright = version_copyright

    def __str__(self):
        return self.abbreviation_local

    def __repr__(self):
        return f'bible.models.Version("{self.bible_id}", "{self.abbreviation}", "{self.language}", "{self.abbreviation_local}", "{self.language_local}", "{self.description}", "{self.description_local}", "{self.copyright}")'
